Subject: bug#72643: closed (Re: [bug#72643] [PATCH core-updates 0/6] Restore i586-gnu (GNU/Hurd) support)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Aug 2024 17:58:03 +0000

Your bug report

#72643: [PATCH core-updates 0/6] Restore i586-gnu (GNU/Hurd) support

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72643: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72643
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#72643] [PATCH core-updates 0/6] Restore i586-gnu (GNU/Hurd) support
From: Ludovic Courtès <[email-masked]>
To: Janneke Nieuwenhuizen <[email-masked]>
Cc: Ekaitz Zarraga <[email-masked]>, Josselin Poiret <[email-masked]>, [email-masked], Efraim Flashner <[email-masked]>, [email-masked]
Date: Fri, 16 Aug 2024 19:56:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Janneke Nieuwenhuizen <[email-masked]> skribis:

> As mentioned on IRC, I've reconfigured my system to core-updates+this
> patch series and it works for me.

Pushed as 817838c38bbeb4ef7dcb64af5fce168aeb51306e, thanks for testing!

> I'm using a close variant of the `devel-hurd.tmpl' from the hurd-team
> branch
>
>     https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/system/examples/devel-hurd.tmpl?h=hurd-team
>
> and removed the new imagemagick dependency
>
> --- a/gnu/system/examples/devel-hurd.tmpl
> +++ b/gnu/system/examples/devel-hurd.tmpl
> @@ -59,7 +59,7 @@
>  (define guix-packages
>    (filter-map input->package
>                (fold alist-delete (package-direct-inputs guix)
> -                    '("glibc-utf8-locales" "graphviz" "po4a"))))
> +                    '("glibc-utf8-locales" "graphviz" "imagemagick" "po4a"))))

I’ve submitted a patch to remove it:

  https://issues.guix.gnu.org/72674

Regarding ‘hurd-team’, I admit I had forgotten about it.  What are the
important things we should bring over to ‘master’ or ‘core-updates’?

Thanks,
Ludo’.

Subject: [PATCH core-updates 0/6] Restore i586-gnu (GNU/Hurd) support
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 15 Aug 2024 18:54:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

This patch series fixes Hurd support (i586-gnu) on ‘core-updates’,
as described <https://issues.guix.gnu.org/72315>.  It does so by
updating the ‘glibc-bootstrap’ tarball.

I built the new tarball from the third commit and dropped it
under gnu/packages/aux-files, which where the commit marked as
“DRAFT” picks it up.  Of course we’ll change that to a URL at
ftp.gnu.org/gnu/guix/bootstrap/i586-gnu once we agree on the
strategy.

For convenience, I uploaded the tarball here:

  https://people.bordeaux.inria.fr/lcourtes/tmp/glibc-stripped-2.39-i586-pc-gnu.tar.xz
  https://people.bordeaux.inria.fr/lcourtes/tmp/glibc-stripped-2.39-i586-pc-gnu.tar.xz.sig

  nix-sha256: 0x2x6w611k6v9qdabacawamw2475p04hm3s0q95xcg063wjq4ig2

I was able to build this successfully:

  ./pre-inst-env guix build \
    -e '(@@ (gnu packages commencement) glibc-final-with-bootstrap-bash)' \
    -s i586-gnu

I’ll try to build some more and see.

I’d like to push this to ‘core-updates’ soon since it’s probably the
last blocker before we can merge.

Thoughts?

Ludo’.

Ludovic Courtès (6):
  gnu: make-bootstrap: Fix cross-compilation of ‘%glibc-stripped’.
  gnu: make-bootstrap: Adjust ‘%glibc-stripped’ for [email-masked] on the
    Hurd.
  gnu: make-bootstrap: Include libdl.a and libutil.a in
    ‘glibc-stripped’.
  DRAFT gnu: glibc-bootstrap: Update i586-gnu variant.
  gnu: perl-boot0: Use gexps.
  gnu: commencement: Build ‘perl-boot0’ without stack protector on the
    Hurd.

 gnu/packages/bootstrap.scm      | 105 ++++++++++++++++----------------
 gnu/packages/commencement.scm   |  45 ++++++++------
 gnu/packages/make-bootstrap.scm |  27 ++++----
 guix/build/make-bootstrap.scm   |  30 ++++++---
 4 files changed, 117 insertions(+), 90 deletions(-)

base-commit: 6fe957f749bc500bce49e4fa1cfa4d8c32227f32
-- 
2.45.2